public class AboutDialog : Gtk.AboutDialog {

    public AboutDialog (  ) {
        string [] autors = new string []{
         "Adi Roiban <adi@roiban.ro>"   
        };
       
        string translators =  _("translator-credits");
        if (translators == "translator-credits")
            translators = null;
        
        //the name of the application
        this.name = _("Lucruri");
        this.icon = Utils.UI.getPixbuf ("/icons/16x16/emotes/face-monkey.png" );
        this.version = Config.VERSION;
        this.logo = Utils.UI.getPixbuf("/icons/48x48/emotes/face-monkey.png");
        this.copyright = _("Copyright (c) 2009 Application's autors");
        this.comments = _("A simple and easy to use todo list and note taking application.\nIt will help you store and organize your thoughts,\nbased on the \"Getting things done\" methodology.");
        this.authors = autors;
        this.translator_credits = translators;
        this.website = "http://lucruri.chevah.com";
        this.website_label = _("Application's main page");
        this.set_size_request( 400, 400 );
        this.license = _("This applications is available under the BSD License.");
    }

    public new void show () {
        this.run();
        this.destroy();
    }

}
