public class GenericItem: GLib.Object, IItem, IProject {
    /* properties */
    public string id { get; set; }

    public int width {get; set;}
    public int height {get; set;}

    public GLib.Time completedAt { get; set; }
    public GLib.Time createdAt { get; set; }    
    public GLib.Time updatedAt { get; set; }
    public bool active { get; set; }
    public int position { get; set; }
    public string name { set; get; }
    public string text { set; get; }
    public bool isDeleted {get; set;}

    public int instanceOf { get {return Utils.Constant.itemType.ITEM;}}

    public IBackend backend  { get; set;}

    /*signals*/
    public signal void created ( bool status );
    public signal void deleted ( bool status );
    public signal void updated ( bool status );

    construct {
        id = "";
        name = _("Untitled Project");
        text = "Project description";
		position = 1000;
        updatedAt = GLib.Time();       
        createdAt = GLib.Time();
        completedAt = GLib.Time();
    }

	public GenericItem() {
	}

	/* methods */

	public void push(){		
	}

    public void delete (){
	}

    public void update (){
	}

}
