public interface ITask : GLib.Object, IItem {
	/* properties */
    public abstract bool done  { get; set; }
    public abstract int priority  { get; set; }

    public abstract string categoryID  { get; set; }
    public abstract string projectID  { get; set; }


    public abstract GLib.Time completedAt { get; set; }
    public abstract GLib.Time dueAt { get; set; }
    public abstract GLib.Time showFrom { get; set; }
    public abstract IBackend backend  { get; set;}
}
