public class TracksCategory: GLib.Object, ICategory {
    /* properties */
    public int id { get; set; }

    public GLib.Time createdAt { get; set; }    
    public GLib.Time updatedAt { get; set; }
    public bool hide { get; set; }
    public int position { get; set; }
    public string name { set; get; }


    /*signals*/
    //public abstract signal void projectsUpdated ();

    construct {
        GLib.Rand rand = new GLib.Rand();
        _id = (int)rand.next_int();
        _name = "Category name";
        _hide = false;
        _createdAt = GLib.Time.gm(time_t());
    }
}
