void toXML ()
{
    TomboyNote note = new TomboyNote();

    note.name = "testName";
    assert ((note.toXML().str("<title>testName</title>")!=null));
    
}

void fromXML ()
{

    string xml = "<?xml version=\"1.0\" encoding=\"utf-8\"?>" +
"    <note version=\"0.3\" xmlns:link=\"http://beatniksoftware.com/tomboy/link\" xmlns:size=\"http://beatniksoftware.com/tomboy/size\" xmlns=\"http://beatniksoftware.com/tomboy\">" +
"  <title>test name</title>" +
"  <text xml:space=\"preserve\"><note-content version=\"0.1\">test name" +
"test text</note-content></text>" +
"  <last-change-date>2009-03-17T17:53:34.3596740+02:00</last-change-date>" +
"  <last-metadata-change-date>2009-03-17T17:53:34.3596740+02:00</last-metadata-change-date>" +
"  <create-date>2009-03-17T17:53:22.8761710+02:00</create-date>" +
"  <cursor-position>11</cursor-position>" +
"  <width>450</width>" +
"  <height>360</height>" +
"  <x>6</x>" +
"  <y>7</y>" +
"  <open-on-startup>False</open-on-startup>" +
"</note>";

    TomboyNote note = new TomboyNote.fromXML(xml);
    assert ( note.name == "test name" );
    if (note.text.str("test text") == null) {
        stdout.printf("text is |%s|\n",note.text); stdout.flush();
        assert ( false);
    }
    assert ( note.width == 450 );
    assert ( note.height == 360 );
    assert ( note.x == 6 );
    assert ( note.y == 7 );
}

void main (string[] args)
{
  Test.init(ref args);

  Test.add_func("/Backend/TomboyNote/toXML",toXML);
  Test.add_func("/Backend/TomboyNote/fromXML",fromXML);
  
  Test.run ();
}
