void sortInt () {

    Gee.ArrayList<int> list = new Gee.ArrayList<int>();
    list.add(7);
    list.add(9);
    list.add(2);
    list.add(6);
    list.add(7);
    list.add(1);

    Utils.List.sortInt(list, 
                    ( list , a, b) => {
                        int first = list.get(a);
                        int second = list.get(b);
                        if ( first == second ) {
                            return 0;
                        } else if ( first < second ) {
                            return -1;
                        } else {
                            return 1;
                        }
                    }
    );

    int prevVal = list.get(0);
    foreach ( int val in list ) {
        assert ( prevVal <= val );
        prevVal = val;
    }
}

void main (string[] args)
{
       // this is a workaround to make Vala include config.h before
        // gi18n-lib.h
        string gettext_package = Config.GETTEXT_PACKAGE;
        Intl.bindtextdomain(gettext_package, Config.PACKAGE_LOCALEDIR);
        Intl.bind_textdomain_codeset(Config.GETTEXT_PACKAGE, "UTF-8");
        Intl.textdomain(Config.GETTEXT_PACKAGE);



  Test.init(ref args);
  Test.add_func("/Utils/List/sortInt",sortInt);
  Test.run ();
}
