<?php

class XML extends Controller {

	function XML()
	{
		parent::Controller();	
		$this->load->model('categories');
	}
	
	function index()
	{
		$data['results']=$this->categories->all();
		$this->load->view('categories/xml',$data);
	}
	
	
	function get( $id )
	{
		$result = $this->categories->get($id);
		$data['result'] = $result[0];
		$this->load->view('categories/xml',$data);
	}
	
	function add()
	{
		
	    if ($result = $this->categories->add()){
			$this->output->set_header('HTTP/1.0 201 Created');
			$this->output->set_header('Location: '.site_url('categories/xml/get/'.$result));
    		$result = $this->categories->get($result);
			$data['result'] = $result[0];
			$this->load->view('categories/xml',$data);
	    } else {
			$this->output->set_header('HTTP/1.0 202 Failed');
			$this->load->view('blank');
	    }
	}


	function update($id)
	{
	    if ($result = $this->categories->update($id)){
			$this->output->set_header('HTTP/1.0 201 Updated');
			$this->output->set_header('Location: '.site_url('categories/xml/get/'.$id));
    		$result = $this->categories->get($id);
			$data['result'] = $result[0];
			$this->load->view('categories/xml',$data);
	    } else {
			$this->output->set_header('HTTP/1.0 202 Failed');
			$this->load->view('blank');
	    }
	}
	
	function delete( $id )
	{
	    if ($result = $this->categories->delete($id)){
			$this->output->set_header('HTTP/1.0 201 Deleted');
	    } else {
			$this->output->set_header('HTTP/1.0 202 Failed');
	    }
	    $this->load->view('blank');
	}
}

/* End of file welcome.php */
/* Location: ./system/application/controllers/welcome.php */
