<?php

class XML extends Controller {

	function XML()
	{
		parent::Controller();
		$this->load->model('tasks');
	}
	
	function index()
	{
	    $data['results'] = $this->tasks->all();
	    $this->load->view('tasks/xml', $data);
	}
		
	function get( $id )
	{
	    $data['result']=$this->tasks->get($id);
	    $this->load->view('tasks/xml', $data);
	}
	
	function add()
	{
	    if ($result = $this->tasks->add()){
		$this->output->set_header('HTTP/1.0 201 Created');
		$this->output->set_header('Location: '.site_url('tasks/xml/get/'.$result));
    		$data['result'] = $this->tasks->get($result);
		$this->load->view('tasks/xml',$data);
	    } else {
		$this->output->set_header('HTTP/1.0 202 Failed');
		$this->load->view('blank');
	    }
	}


	function update($id)
	{
	    if ($result = $this->tasks->update($id)){
		$this->output->set_header('HTTP/1.0 201 Updated');
		$this->output->set_header('Location: '.site_url('tasks/xml/get/'.$id));
    		$data['result'] = $this->tasks->get($id);
		$this->load->view('tasks/xml',$data);
	    } else {
		$this->output->set_header('HTTP/1.0 202 Failed');
		$this->load->view('blank');
	    }
	}
	
	function delete( $id )
	{
	    if ($result = $this->tasks->delete($id)){
		$this->output->set_header('HTTP/1.0 201 Deleted');
	    } else {
		$this->output->set_header('HTTP/1.0 202 Failed');
	    }
	    $this->load->view('blank');
	}
	
	function toggle( $id )
	{
	    if ($result = $this->tasks->toggle($id)){
		$this->output->set_header('HTTP/1.0 201 Toggled');
	    } else {
		$this->output->set_header('HTTP/1.0 202 Failed');
	    }
	    $this->load->view('blank');

	}
	
	function all()
	{
	    $data['results']=$this->tasks->all();
	    $this->load->view('tasks/xml',$data);
	}

	function delta($reference)
	{
	    $data['results']=$this->tasks->delta($reference);
	    $this->load->view('tasks/xml',$data);
	}
	
	function tickler()
	{
	    $data['results']=$this->tasks->tickler();
	    $this->load->view('tasks/xml', $data);
	}
	
	function done()
	{
	    $data['results']=$this->tasks->done();
	    $this->load->view('tasks/xml', $data);
	}
	
	function calendar()
	{
	    $data['results']=$this->tasks->calendar();
	    $this->load->view('tasks/xml', $data);
	}
}

/* End of file welcome.php */
/* Location: ./system/application/controllers/welcome.php */
