<?php

class Notes extends Model {

    function Notes()
    {
	parent::Model();
    }
    
    function all()
    {
		$this->db->order_by("updated_at", "desc");
		$query = $this->db->get('notes');
		return $query->result_array();
    }

    function get($id)
    {
		$query = $this->db->get_where('notes',array('id' => $id));
		return $query->result_array();
    }
    
    function add()
    {
		$data = array_get_request();
		log_message('debug',"parsed data:".print_r($data,true));
		$data['created_at'] = time();
		$data['updated_at'] = time();
		$data['sticky'] = false;
		$data['width'] = 450;
		$data['height'] = 350;
		$data = array_unix_to_dbdatetime($data);
		$dbRet = $this->db->insert('notes', $data);
		return ($dbRet) ? $this->db->insert_id() : NULL;
	
    }
    
    function delete($id)
    {
		$this->db->where('id', $id);
		$dbRet = $this->db->delete('notes');
		log_message('debug',"Delete message id $id\n");
		return ($dbRet) ? true : NULL;
    }

    function update($id)
    {
		$data = array_get_request();
		$data['updated_at'] = time();
		$this->db->where('id', $id);
		$data = array_unix_to_dbdatetime($data);
		return $this->db->update('notes', $data);
    }


}
