<?php

class Tasks extends Model {

    function Tasks()
    {
	parent::Model();
    }
    
    function all()
    {
		$query = $this->db->get('tasks');
		return $query->result_array();
    }

    function get($id)
    {
		$query = $this->db->get_where('tasks',array('id' => $id));
		return $query->result_array();
    }
    
    function add()
    {
		$data = array_get_request();
		$data['created_at'] = time();
		$data['updated_at'] = time();
		$data['done'] = '0';
		$data = array_unix_to_dbdatetime($data);
		$dbRet = $this->db->insert('tasks', $data);
		return ($dbRet) ? $this->db->insert_id() : NULL;	
    }
    
    function delete($id)
    {
		$this->db->where('id', $id);
		$dbRet = $this->db->delete('tasks');
		return ($dbRet) ? true : NULL;
    }

    function update($id)
    {
		$this->db->where('id',$id);
		$query = $this->db->get('tasks');
		if (!$query) return NULL;
		$row = $query->row_array();
		$data = array_get_request();
		if ($data['done'] != $row['done']) {
			$data['completed_at'] =  ($data['done']) ? time() : "";
		}

		$data['updated_at'] = time();
		$this->db->where('id', $id);
		$data = array_unix_to_dbdatetime($data);
		return $this->db->update('tasks', $data);
    }

}
