public class GenericMenuItem : Gtk.MenuItem {

	public bool active { 
		set { check.active = value; }
		get { return check.active; }
	}

	public string id {set; get;}
	public new string name {set; get;}


	private Gtk.CheckButton check;

	construct {
		check = new Gtk.CheckButton.with_mnemonic ("Unnamed");
	}
	
	public GenericMenuItem(string id, string name) {
		this.id = id;
		this.name = name;
		check = new Gtk.CheckButton.with_mnemonic (name);
		Gtk.Widget child = get_child();
		if (child != null) remove(child);
		add(check);
	}
}

