public class TracksProject: GLib.Object, IProject {
    /* properties */
    public int id { get; set; }

    public GLib.Time completedAt { get; set; }
    public GLib.Time createdAt { get; set; }    
    public GLib.Time updatedAt { get; set; }
    public bool active { get; set; }
    public int position { get; set; }
    public int defaultContextID { get; set; }
    public string name { set; get; }
    public string description { get; set ;}


    /*signals*/
    //public abstract signal void projectsUpdated ();

    construct {
        GLib.Rand rand = new GLib.Rand();
        _id = (int)rand.next_int();
        _name = "Project name";
        _description = "Project description";
        _defaultContextID = 0;
        updatedAt = GLib.Time();       
        createdAt = GLib.Time();
        completedAt = GLib.Time();
    }
}
