void refreshNotes () {
    TomboyBackend backend = new TomboyBackend();
    backend.refreshNotes();
    assert ( backend.notes.size > 0 );
}

void sortNotesByUpdateAtDesc () {

    TomboyBackend backend = new TomboyBackend();
    Gee.ArrayList<TomboyNote> notes = backend.notes;
    TomboyNote note;
    note = new TomboyNote();
    note.updatedAt = GLib.Time.gm(time_t() + 7) ;
    notes.add(note);
    note = new TomboyNote();
    note.updatedAt = GLib.Time.gm(time_t() + 10) ;
    notes.add(note);
    note = new TomboyNote();
    note.updatedAt = GLib.Time.gm(time_t() + 6);
    notes.add(note);
    note = new TomboyNote();
    note.updatedAt = GLib.Time.gm(time_t() + 4);
    notes.add(note);
 
 
    Utils.Backend.sortNotesByUpdatedAtDesc(notes);
    TomboyNote prevNote = notes.get(0);
    foreach ( TomboyNote aNote in notes ) {
        assert ( prevNote.updatedAt.mktime() >= aNote.updatedAt.mktime() );
        prevNote = aNote;
    }


}

void main (string[] args)
{
  Test.init(ref args);

  Test.add_func("TomboyBackend.refreshNotes",refreshNotes);
  Test.add_func("TomboyBackend.sortNotesByUpdateAtDesc",sortNotesByUpdateAtDesc);
  
  Test.run ();
}
