<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

function xml_from_array( $data, $name='', $group='')
{
    $out = '';
    if ((count($data) < 1)&&(!$group)&&(!$name)) return '';
    
    if ($group && (count(current($data)) > 0)) {
	$out .= "<$group>\n";
	foreach ($data as $item)
	{
	    $out .= _xml_item_from_array($item, $name);
	}
	$out .= "</$group>\n";
    } else {
	$out .= _xml_item_from_array( $data, $name);
    }
    return $out;
}

function _xml_item_from_array( $data, $name='')
{
    if ((count($data) < 1)&&(!$name)) return '';
    $out = '';
    $CI = & get_instance();
    if ($name) $out .= "<$name>\n";

    foreach ($data as $key => $value)
    {
		if (is_numeric($key)) continue;
		if (in_array($key, $CI->config->item('datetime_fields')) &&
			$value){
			$value = standard_date('DATE_W3C', $value); 
		}
		$key = str_replace('_', '-', $key);
		if (($key == "text") || ($key == "name")) {
			$out .= "\t<$key><![CDATA[$value]]></$key>\n";
		} else {
			$out .= "\t<$key>$value</$key>\n";
		}
    }

    if ($name) $out .= "</$name>\n";
    return $out;
}

/* End of file MY_xml_helper.php */
