<?php

class Categories extends Model {

    function Categories()
    {
	parent::Model();
    }
    
    function all()
    {
		$this->db->order_by("position", "asc");
		$query = $this->db->get('categories');
		return $query->result_array();
    }

    function get($id)
    {
		$query = $this->db->get_where('categories',array('id' => $id));
		return $query->result_array();
    }
    
    function add()
    {
		/* get max position */
		$this->db->select_max('position');
		$query = $this->db->get('categories');
		$row = $query->row_array(); 

		$data = array_get_request();
		$data['created_at'] = time();
		$data['updated_at'] = time();
		$data['position'] = $row['position']+1;
		$data['hide'] = 0;
		$data = array_unix_to_dbdatetime($data);
		$dbRet = $this->db->insert('categories', $data);
		return ($dbRet) ? $this->db->insert_id() : NULL;
	
    }
    
    function delete($id)
    {
		$this->db->where('id', $id);
		$dbRet = $this->db->delete('categories');
		return ($dbRet) ? true : NULL;
    }

    function update($id)
    {
		$data = array_get_request();
		$data['updated_at'] = time();
		$this->db->where('id', $id);
		$data = array_unix_to_dbdatetime($data);
		return $this->db->update('categories', $data);
    }

}
